Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.mobile.sync.trans
Class NormalizingTransformation

    java.lang.Object
      local.tomas.mobile.sync.trans.ObjectTransformationBase
          local.tomas.mobile.sync.trans.NormalizingTransformation

All Implemented Interfaces:
  ObjectTransformation

    public class NormalizingTransformation

extends ObjectTransformationBase

Constructor Summary
`NormalizingTransformation()`
`NormalizingTransformation(ObjectNormalizer sourceNormalizer, ObjectNormalizer targetNormalizer)`

Method Summary
`ObjectNormalizer` | `getSourceNormalizer()`
`ObjectNormalizer` | `getTargetNormalizer()`
`void` | `setSourceNormalizer(ObjectNormalizer sourceNormalizer)`
`void` | `setTargetNormalizer(ObjectNormalizer targetNormalizer)`
`void` | `transform(SyncObject source, SyncObject target, boolean isNew)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NormalizingTransformation

    public NormalizingTransformation()

### NormalizingTransformation

    public NormalizingTransformation(ObjectNormalizer sourceNormalizer,
                                     ObjectNormalizer targetNormalizer)

Method Detail

### getSourceNormalizer

    public ObjectNormalizer getSourceNormalizer()

### setSourceNormalizer

    public void setSourceNormalizer(ObjectNormalizer sourceNormalizer)

### getTargetNormalizer

    public ObjectNormalizer getTargetNormalizer()

### setTargetNormalizer

    public void setTargetNormalizer(ObjectNormalizer targetNormalizer)

### transform

    public void transform(SyncObject source,
                          SyncObject target,
                          boolean isNew)
                   throws SyncException

  Throws:
    `SyncException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 null. All Rights Reserved.